# cv::BOWKMeansTrainer Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::BOWKMeansTrainer:

List of all members.

## Public Member Functions

| BOWKMeansTrainer (int clusterCount, const TermCriteria &termcrit=TermCriteria(), int attempts=3, int flags=KMEANS_PP_CENTERS)
virtual Mat | cluster (const Mat &descriptors) const
virtual Mat | cluster () const
virtual | ~BOWKMeansTrainer ()

## Protected Attributes

int | attempts
int | clusterCount
int | flags
TermCriteria | termcrit

## Constructor & Destructor Documentation

cv::BOWKMeansTrainer::BOWKMeansTrainer | ( | int | clusterCount,
|  | const TermCriteria & | termcrit = `TermCriteria()`,
|  | int | attempts = `3`,
|  | int | flags = `KMEANS_PP_CENTERS`
| ) |  |

virtual cv::BOWKMeansTrainer::~BOWKMeansTrainer | ( | ) | `[virtual]`

## Member Function Documentation

virtual Mat cv::BOWKMeansTrainer::cluster | ( | ) | const`[virtual]`

Implements cv::BOWTrainer.

virtual Mat cv::BOWKMeansTrainer::cluster | ( | const Mat & | descriptors ) | const`[virtual]`

Implements cv::BOWTrainer.

## Member Data Documentation

int cv::BOWKMeansTrainer::attempts`[protected]`

int cv::BOWKMeansTrainer::clusterCount`[protected]`

int cv::BOWKMeansTrainer::flags`[protected]`

TermCriteria cv::BOWKMeansTrainer::termcrit`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines